from django.core.urlresolvers import reverse
from django.shortcuts import render_to_response, redirect
from django.template import RequestContext, Context
from auf.django.emploi import forms as emploiForms

def postuler(request,):
    if request.method == "POST":
        form = emploiForms.PostulerOffreEmploiForm(request.POST)     
        piecesForm = emploiForms.CandidatPieceForm(request.POST, request.FILES)
        if form.is_valid() and piecesForm.is_valid():
            redirect(reverse('test_postuler'))

    else:
        form = emploiForms.PostulerOffreEmploiForm()
        piecesForm = emploiForms.CandidatPieceForm(instance=form.instance)
    c = {'form' : form, 'piecesForm': piecesForm, 'page_title': 'Offre emploi', }  

    return render_to_response('emploi/candidat_form.html', Context(c), RequestContext(request))
